# $Revision: 1.89.2.11 $, $Date: 2007/10/15 08:26:44 $
#
# TODO:
#		- utils/scripts, eagleconfig
#
# Conditional build:
%bcond_without	dist_kernel	# without distribution kernel
%bcond_without	kernel		# don't build kernel modules
%bcond_without	smp		# don't build SMP module
%bcond_without	up		# don't build UP module
%bcond_without	userspace	# don't build userspace tools
%bcond_without	cmvs
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	grsec_kernel	# build for kernel-grsecurity
#
%if %{with kernel} && %{with dist_kernel} && %{with grsec_kernel}
%define	alt_kernel	grsecurity
%endif
#
%ifarch sparc
# no USB in sparc(32) kernel; just build userspace to use with sparc64 kernel
%undefine	with_kernel
%endif
%define		_rel	55
Summary:	Linux driver for the Eagle 8051 Analog (sagem f@st 800/840/908/...) modems
Summary(pl):	Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st 800/840/908/...)
Name:		eagle-usb
Version:	2.3.3
Release:	%{_rel}
License:	GPL v2
Group:		Base/Kernel
Source0:	http://download.gna.org/eagleusb/eagle-usb-2.3.0/%{name}-%{version}.tar.bz2
# Source0-md5:	6c961a5022274aff870e49e2f0f922fc
Patch1:		%{name}-eu_types.patch
Patch2:		%{name}-vpivci-info.patch
Patch3:		%{name}-opt.patch
Patch4:		%{name}-signal.patch
Patch5:		%{name}-usb_kill_urb.patch
Patch6:		%{name}-kernel_sources_checking_hack.patch
# Workaround for obsolete kernel API. To be removed...
Patch7:		%{name}-spin_lock_unlocked.patch
Patch8:		%{name}-kill_owner.patch
Patch9:		%{name}-module_param.patch
URL:		http://gna.org/projects/eagleusb/
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with kernel}
%{?with_dist_kernel:BuildRequires:	kernel%{_alt_kernel}-module-build >= 3:2.6.7}
BuildRequires:	rpmbuild(macros) >= 1.330
%endif
BuildRequires:	SysVinit
BuildRequires:	net-tools
Requires:	ppp >= 2.4.1
Obsoletes:	eagle-utils
Conflicts:	eagle-usb24
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux driver for the Eagle 8051 Analog (sagem f@st 800/840/908/...)
modems.

%description -l pl
Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st
800/840/908/...).

%package -n kernel%{_alt_kernel}-usb-eagle
Summary:	Linux driver for the Eagle 8051 Analog (sagem f@st 800/840/908/...) modems
Summary(pl):	Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st 800/840/908/...)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_up}
Requires(post,postun):	/sbin/depmod
Provides:	kernel-usb(eagle) = %{version}-%{_rel}
%if "%{_alt_kernel}" == "%{_nil}"
Obsoletes:	kernel-usb-fast800
%endif

%description -n kernel%{_alt_kernel}-usb-eagle
Linux driver for the Eagle 8051 Analog (sagem f@st 800/840/908/...)
modems.

%description -n kernel%{_alt_kernel}-usb-eagle -l pl
Sterownik dla Linuksa do modemw Eagle 8051 Analog (sagem f@st
800/840/908/...).

%package -n kernel%{_alt_kernel}-smp-usb-eagle
Summary:	Linux SMP driver for the Eagle 8051 Analog (sagem f@st 800/840/908/...) modems
Summary(pl):	Sterownik dla Linuksa SMP do modemw Eagle 8051 Analog (sagem f@st 800/840/908/...)
Release:	%{_rel}@%{_kernel_ver_str}
Group:		Base/Kernel
%{?with_dist_kernel:%requires_releq_kernel_smp}
Requires(post,postun):	/sbin/depmod
Provides:	kernel-usb(eagle) = %{version}-%{_rel}
%if "%{_alt_kernel}" == "%{_nil}"
Obsoletes:	kernel-smp-usb-fast800
%endif

%description -n kernel%{_alt_kernel}-smp-usb-eagle
Linux SMP driver for the Eagle 8051 Analog (sagem f@st
800/840/908/...) modems.

%description -n kernel%{_alt_kernel}-smp-usb-eagle -l pl
Sterownik dla Linuksa SMP do modemw Eagle 8051 Analog (sagem f@st
800/840/908/...).

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%ifnarch %{ix86}
# invalid not only for ppc
sed -i 's/-mpreferred-stack-boundary=2//' driver/Makefile
%endif

%build
%if %{with kernel}
%build_kernel_modules -C driver -m eagle-usb \
	USE_CMVS=%{?with_cmvs:1}%{!?with_cmvs:0}
%endif

%if %{with userspace}
%{__aclocal} -I .
%{__autoconf}
%configure \
	%{!?with_cmvs:--disable-cmvs} \
	--with-dsp-dir=%{_datadir}/misc

%{__make} -C driver/firmware \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"
%{__make} -C driver/user \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"
%{__make} -C pppoa \
	CC="%{__cc}" \
	OPT="%{rpmcflags}"
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with kernel}
%install_kernel_modules -m driver/eagle-usb -d kernel/drivers/usb/net
%endif

%if %{with userspace}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/{analog,hotplug,ppp} \
	$RPM_BUILD_ROOT{%{_sbindir},%{_libdir}/hotplug/eagle}
%{__make} -C driver/firmware install \
	EU_DSP_DIR=$RPM_BUILD_ROOT%{_datadir}/misc
%{__make} -C driver/user install \
	EU_DIR=$RPM_BUILD_ROOT%{_sysconfdir}/eagle-usb \
	EU_SCRIPT_DIR=$RPM_BUILD_ROOT%{_sysconfdir}/eagle-usb \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_sysconfdir}/eagle-usb/eagle-usb.conf{.template,}
%{__make} -C pppoa install \
	SBINDIR=$RPM_BUILD_ROOT%{_sbindir}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post -n kernel%{_alt_kernel}-usb-eagle
%depmod %{_kernel_ver}

%postun -n kernel%{_alt_kernel}-usb-eagle
%depmod %{_kernel_ver}

%post -n kernel%{_alt_kernel}-smp-usb-eagle
%depmod %{_kernel_ver}smp

%postun -n kernel%{_alt_kernel}-smp-usb-eagle
%depmod %{_kernel_ver}smp

%if %{with userspace}
%files
%defattr(644,root,root,755)
%doc README
%dir %{_sysconfdir}/eagle-usb
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/eagle-usb/eagle-usb.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/eagle-usb/*.txt
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/misc/*.bin
%endif

%if %{with kernel}
%if %{with up} || %{without dist_kernel}
%files -n kernel%{_alt_kernel}-usb-eagle
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}/kernel/drivers/usb/net/*.ko*
%endif

%if %{with smp} && %{with dist_kernel}
%files -n kernel%{_alt_kernel}-smp-usb-eagle
%defattr(644,root,root,755)
/lib/modules/%{_kernel_ver}smp/kernel/drivers/usb/net/*.ko*
%endif
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: eagle-usb.spec,v $
Revision 1.89.2.11  2007/10/15 08:26:44  glen
- rel 55 (kernel 2.6.16.55)

Revision 1.89.2.10  2007/10/15 08:21:38  glen
- rel drbd.spec (2.6.16.55)

Revision 1.89.2.9  2007/10/01 21:25:45  glen
- rel 54

Revision 1.89.2.8  2007/09/30 22:17:50  adamg
- release 53.1 (rebuild against 2.6.16.53-2)

Revision 1.89.2.7  2007/09/05 19:30:12  glen
- rel 53 (kernel 2.6.16.53)

Revision 1.89.2.6  2007/06/04 08:09:08  glen
- rel 52 (2.6.16.52)

Revision 1.89.2.5  2007/05/11 06:38:50  glen
- rel 51 (2.6.16.51)

Revision 1.89.2.4  2007/05/08 12:10:09  glen
- rel 50 (kernel 2.6.16.50)

Revision 1.89.2.3  2007/04/25 22:11:44  glen
- rel 7 (kernel 2.6.16.49)

Revision 1.89.2.2  2007/03/27 22:18:04  glen
- rel 6 (kernel 2.6.16.45)

Revision 1.89.2.1  2007/03/15 23:04:12  glen
- rel 5

Revision 1.89  2007/01/23 19:01:52  hawk
- release 4

Revision 1.88  2006/12/08 14:12:58  hawk
- workaround for builder automation to allow building against
  kernel-grsecurity (via bcond)
- release 3

Revision 1.87  2006/12/04 10:58:11  hawk
- release 2

Revision 1.86  2006/11/15 22:31:53  qboosh
- don't require kernel in userspace package

Revision 1.85  2006/11/14 20:36:21  sparky
- BR: rpmbuild(macros) >= 1.330 -- build_kernel_modules fix for kernels 2.6.18

Revision 1.84  2006/11/12 21:29:16  sparky
- nicer: use -C

Revision 1.83  2006/11/11 15:15:24  sparky
- %{_alt_kernel} support
- use %build_kernel_modules, %install_kernel_modules macros
- R/P: kernel-usb(eagle) instead of package name
- do not require in userspace module with same %{_kernel_ver_str}

Revision 1.82  2006/09/06 13:48:33  sparky
- mass atack: -j1 for make scripts

Revision 1.81  2006/06/27 17:28:01  adamg
- module_param fixes (builds on 2.6.17)

Revision 1.80  2006/05/09 18:47:37  zbyniu
- patch for kernel 2.6.16

Revision 1.79  2006/04/12 12:15:40  glen
- add kernel epoch, adapterized

Revision 1.78  2006/04/11 08:10:05  blues
- rel. 1 - added spin_lock_unlocked patch for obsolete kernel API. To be
  fixed TheRightWay(TM).

Revision 1.77  2006/03/24 19:55:14  blues
- 2.3.3

Revision 1.76  2006/03/17 22:06:52  glen
- rel 8

Revision 1.75  2006/03/11 12:23:20  arekm
- rel 7

Revision 1.74  2006/02/26 14:44:53  sparky
- pass CC="%{__cc}" for userspace

Revision 1.73  2006/02/11 13:39:42  arekm
- rel 6

Revision 1.72  2006/02/05 17:05:33  areq
- new way of modules build

Revision 1.71  2006/01/26 09:48:13  arekm
- rel 5

Revision 1.70  2006/01/19 20:01:08  abram
- rel 4
- resolve problem for not working eagle-usb with sagem modem for tpnet
- neostrada with 2.6.14.*
- thanks to Bartomiej Noga <hoganxxx@o2.pl>

Revision 1.69  2006/01/13 16:51:20  arekm
- rel 3; hopefuly 2.6.14 fixes

Revision 1.68  2005/12/12 19:41:59  arekm
- cmvs bcond for userspace, too

Revision 1.67  2005/12/12 19:26:59  arekm
- cmvs bcond

Revision 1.66  2005/12/12 19:23:54  arekm
- rel 2

Revision 1.65  2005/12/12 18:27:56  qboosh
- comment

Revision 1.64  2005/12/12 18:27:02  qboosh
- no kernel modules on sparc(32); only userspace to use with sparc64 kernel

Revision 1.63  2005/12/11 09:42:00  qboosh
- added ppc hack (builds now)

Revision 1.62  2005/12/11 00:47:40  adamg
- pass USE_CMVS when building kernel modules
- works with 2.6.14.3-1

Revision 1.61  2005/10/14 22:18:47  areq
- add 2.6.14-rc-git-breakage-fix.diff

Revision 1.60  2005/09/15 18:25:05  sparky
- prepared for kernel >= 2.6.13: link Module.symvers

Revision 1.59  2005/06/05 21:43:27  paszczus
- updated to 2.3.2
- updated eagle-usb-vpivci-info.patch

Revision 1.58  2005/05/29 14:06:11  twittner
- rel. 3

Revision 1.57  2005/05/24 21:43:47  twittner
- fix building - don't check kernel sources during building userspace tools
  (dirty hack provided by -kernel_sources_checking_hack.patch)

Revision 1.56  2005/05/21 21:08:38  averne
- rel 2

Revision 1.55  2005/04/25 15:19:52  adamg
- release 1 (or: works for me)

Revision 1.54  2005/04/08 08:37:09  paszczus
- adaptarized

Revision 1.53  2005/04/08 08:36:36  paszczus
- updated to 2.2.0
- release 0.1 ; need tests

Revision 1.52  2005/04/04 07:15:16  tiwek
- added missing BR.

Revision 1.51  2005/02/23 23:08:37  arekm
- 2.1.1 rel 1

Revision 1.50  2005/02/23 21:58:14  paszczus
- updated to 2.1.0
- release 0.1
- please test it... i don`t have neo+

Revision 1.49  2005/01/21 09:55:44  roman
- release  3 to rebuild with modified usb_kill_urb patch
- STBR

Revision 1.48  2005/01/19 23:12:51  roman
- added usb_kill_urb patch to allow clean module unloading on 2.6.10 kernel
- release 2
- STBR (only I don't know how this behaves on older kernels)

Revision 1.47  2004/12/12 22:39:01  domelu
- drop R: hotplug

Revision 1.46  2004/12/09 11:30:01  paladine
- spaces->tabs
- cosmetics

Revision 1.45  2004/11/25 20:10:30  arekm
- up to 2.0.0

Revision 1.44  2004/11/25 16:00:35  arekm
- rel 5; add signal patch which makes that pppoa terminates on SIGTERM, too

Revision 1.43  2004/11/12 10:53:23  arekm
- R: hotplug

Revision 1.42  2004/11/07 11:51:45  ankry
- Conflicts

Revision 1.41  2004/10/29 21:46:38  ankry
- rel. 4

Revision 1.40  2004/10/11 07:01:06  ankry
- rel. 3 to rebuild

Revision 1.39  2004/10/09 17:02:52  tommat
- BR: autoconf (for autom4te)

Revision 1.38  2004/10/09 16:48:57  tommat
- BR: automake (for aclocal)

Revision 1.37  2004/09/22 01:33:47  ankry
- rel. 2

Revision 1.36  2004/09/15 20:47:32  arekm
- updated to 1.9.9.1

Revision 1.35  2004/07/22 08:00:17  domelu
- rel 1; works fine for me

Revision 1.34  2004/07/14 19:07:42  qboosh
- fixed smp depmods

Revision 1.33  2004/07/14 19:05:05  qboosh
- versioned provide

Revision 1.32  2004/07/14 06:31:42  pluto
- build fixed.

Revision 1.31  2004/07/02 19:11:19  arekm
- updated to 1.9.8; drop obsolete patches; use opt patch instead of covering CFLAGS

Revision 1.30  2004/06/11 12:21:00  pluto
- `make clean` added.

Revision 1.29  2004/06/11 12:16:53  pluto
- typo.

Revision 1.28  2004/06/02 14:01:39  serek
- corrected typo in patch level.

Revision 1.27  2004/06/02 13:56:35  serek
- wait patch by Grzegorz ebrowski.

Revision 1.26  2004/06/02 09:41:11  pluto
- VPI/VCI info patch added.
- %install and %files fixed.
- release 0.6.

Revision 1.25  2004/06/01 11:11:41  pluto
- %post, %postun added.

Revision 1.24  2004/06/01 02:01:04  pluto
- %build/%install fixed.
- eaglectrl's *_DIR fixed.
- PPC fix stolen from -rLINUX_2_6.
- cleanups.
- release 0.5.

Revision 1.23  2004/05/31 18:29:27  havner
- rel 0.4 to be higher then LINUX_2_6 (it's newer)

Revision 1.22  2004/05/31 00:20:42  pluto
- more %install fixes...

Revision 1.21  2004/05/31 00:12:35  pluto
- %install almost fixed.

Revision 1.20  2004/05/30 23:53:18  pluto
- TODO updated.
- minor %files fix.

Revision 1.19  2004/05/30 23:43:13  pluto
- updated to 1.9.6.
- NFY ! (see TODO).

Revision 1.18  2004/04/28 10:57:22  twittner
- added information about VPI and VCI values taken from
  http://damien.bergamini.free.fr/ueagle/vpivci.html
  -eagle-usb-info_about_VPI_VCI.patch

Revision 1.17  2004/01/19 22:45:43  qboosh
- fixed build outside x86 and ppc (wrong gcc options assumption)
- fixed SMP build (there is no OPT parameter)
- release 8

Revision 1.16  2004/01/18 16:39:47  qboosh
- this spec expects kernel 2.4

Revision 1.15  2004/01/18 14:37:39  qboosh
- added user2.6 patch, standard kernel/userspace bcond scheme

Revision 1.14  2003/11/30 21:55:49  qboosh
- Name changed to eagle-usb after spec rename

Revision 1.13  2003/11/15 15:07:01  krzak
- fixed %post

Revision 1.12  2003/11/15 11:35:15  krzak
- forgot for the rest subpackages

Revision 1.11  2003/11/15 11:32:11  krzak
- remove Requires(post,postun): /sbin/update-usb.usermap

Revision 1.10  2003/11/15 00:21:47  krzak
- do not really _need_ hotplug

Revision 1.9  2003/11/02 21:21:20  krzak
- rel. 6
- if build with dist_kernel
  - R: kernel-usb-fast800
  - kernel-smp-usb-fast800 Provides : kernel-usb-fast800

Revision 1.8  2003/10/20 12:48:40  cieciwa
- prepare to 2.6 building

Revision 1.7  2003/10/07 09:22:46  arekm
- renamed package from eagle to eagle-utils to avoid conflict with PCB software (so DO NOT add any obsoletes here)

Revision 1.6  2003/10/06 19:08:39  twittner
- reverted last change: removed initscript. This function should be
  provided by rc-scripts (pointed by Arkadiusz Mikiewicz)

Revision 1.5  2003/10/05 23:25:10  twittner
- added initscript

Revision 1.4  2003/09/26 22:51:48  twittner
- removed .stopadsl.patch: premature joy -
  hotplug stop hangs at random.

Revision 1.3  2003/09/25 11:41:16  ankry
- cosmetics

Revision 1.2  2003/09/23 12:01:21  twittner
- patched stopadsl script (see commit message for eagle-stopadsl.patch)

Revision 1.1  2003/09/18 14:19:36  misi3k
- eagle -> kernel-net-eagle

Revision 1.15  2003/08/18 08:08:01  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/11 20:44:53  ankry
- cosmetics

Revision 1.13  2003/08/02 17:27:52  qboosh
- added info about kind of device to descriptions

Revision 1.12  2003/07/15 20:26:16  grzegol
- added readme.txt to %doc

Revision 1.11  2003/07/15 19:56:27  areq
- move bin from /etc to /usr/share/misc

Revision 1.10  2003/07/12 22:07:26  grzegol
- main package doesn't need %{_kernel_ver_str} in release
- rel. 3

Revision 1.9  2003/07/12 22:01:20  grzegol
- marked config files

Revision 1.8  2003/07/10 12:58:21  trojan
- added using depmod macro

Revision 1.7  2003/07/09 17:52:50  marcus
- fakeroot is only for dev.spec!!!
- makefiles fixed, but... terribly francois script - no.

Revision 1.6  2003/07/08 16:40:57  grzegol
- 755 for %{sbindir}/*
- s#usr/sbin/update-usb.usermap#/sbin/update-usb.usermap#
- adder R(post,postun): /sbin/update-usb.usermap
- rel. 2

Revision 1.5  2003/07/08 11:17:14  krolik
- new BR: fakeroot
- fixed small mistake in %doc
- now builds

Revision 1.4  2003/07/07 14:25:23  arekm
- fix md5

Revision 1.3  2003/07/07 13:06:13  qboosh
- typo

Revision 1.2  2003/07/07 12:46:56  arekm
- more stuff for hotplug

Revision 1.1  2003/07/07 11:54:03  arekm
- Sagem Fast 800 USB modem driver (used in neostrada+ recently)
